> For the complete documentation index, see [llms.txt](https://docs.pangolin.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pangolin.exchange/pangoperps/trading-api/assets-withdraw-settle-pnl/get-current-holding.md).

# Get Current Holding

### Endpoint

`GET /v1/client/holding`

Mainnet: `https://api.orderly.org/v1/client/holding`

Testnet: `https://testnet-api.orderly.org/v1/client/holding`

Rate limit: 10 requests per 1 second.

Returns the current summary of tokens held by the authenticated account.

### Authentication

Send the signed-request headers.

* `orderly-timestamp` — required; signed-request timestamp in milliseconds.
* `orderly-account-id` — required; authenticated account ID.
* `orderly-key` — required; public API key.
* `orderly-signature` — required; signature generated for the request.

### Query parameter

`all` (boolean, optional) — pass `true` to include tokens with an empty balance; otherwise only tokens with a balance are returned.

### Response

HTTP 200 — application/json. `success` is a required boolean and `data.holding` is a required array. Each holding item includes:

* `updated_time` (number, required) — Unix epoch time in milliseconds.
* `token` (string, required).
* `holding`, `frozen`, and `pending_short` (numbers, required).
* `isolated_margin` and `isolated_order_frozen` (numbers, optional).

The root `timestamp` is the server response time in milliseconds (integer).

```
{
  "success": true,
  "data": {
    "holding": [{
      "updated_time": 1580794149000,
      "token": "USDT",
      "holding": 282485.071904,
      "frozen": 0,
      "pending_short": -2000,
      "isolated_margin": 0,
      "isolated_order_frozen": 0
    }]
  },
  "timestamp": 1702989203989
}
```
